org.eclipse.microprofile.rest.client.tck.ssl

## Class SslHostnameVerifierTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest
    - - org.eclipse.microprofile.rest.client.tck.ssl.SslHostnameVerifierTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class SslHostnameVerifierTest
    extends AbstractSslTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

`CERT_LOCATION_FILE`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`SslHostnameVerifierTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `shouldFailWithoutHostnameAndNoVerifier()`
`void` `shouldFailWithRejectingHostnameVerifier()`
`void` `shouldFailWithRejectingHostnameVerifierCDI()`
`void` `shouldPassSslSessionAndHostnameToHostnameVerifier()`
`void` `shouldPassSslSessionAndHostnameToHostnameVerifierCDI()`
`void` `shouldSucceedWithAcceptingHostnameVerifier()`
`void` `shouldSucceedWithAcceptingHostnameVerifierCDI()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

`getKeyStore, initHttpsServer, stopHttpsServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslHostnameVerifierTest

    public SslHostnameVerifierTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### shouldFailWithoutHostnameAndNoVerifier

    public void shouldFailWithoutHostnameAndNoVerifier()
                                                throws Exception

Throws:
  `Exception`

#### shouldFailWithRejectingHostnameVerifier

    public void shouldFailWithRejectingHostnameVerifier()
                                                 throws Exception

Throws:
  `Exception`

#### shouldSucceedWithAcceptingHostnameVerifier

    public void shouldSucceedWithAcceptingHostnameVerifier()
                                                    throws Exception

Throws:
  `Exception`

#### shouldPassSslSessionAndHostnameToHostnameVerifier

    public void shouldPassSslSessionAndHostnameToHostnameVerifier()
                                                           throws Exception

Throws:
  `Exception`

#### shouldFailWithRejectingHostnameVerifierCDI

    public void shouldFailWithRejectingHostnameVerifierCDI()

#### shouldSucceedWithAcceptingHostnameVerifierCDI

    public void shouldSucceedWithAcceptingHostnameVerifierCDI()

#### shouldPassSslSessionAndHostnameToHostnameVerifierCDI

    public void shouldPassSslSessionAndHostnameToHostnameVerifierCDI()